#pragma once

#define in__userData userData
#define in__pszName pszName
#define in__atts atts
#define in__nLength nLength
#define in__pszData pszData





#define ONELEMENTSTART(name) void name(void *in__userData,const XML_Char *in__pszName,const XML_Char *in__atts[])

#define ONCHARDATA(name) void name(void *in__userData,const XML_Char *in__pszData,int in__nLength)

#define ONELEMENTEND(name) void name(void *in__userData,const XML_Char *in__pszName)



///
///ニコ生プレイヤーステータス要素開始イベントハンドラ
///
extern void NPlayerStatus_ElementStartHandler(void *userData,const XML_Char *pszName,const XML_Char *atts[]);

///
///ニコ生プレイヤーステータステキスト開始イベントハンドラ
///
extern void NPlayerStatus_CharacterDataHandler(void *userData,const XML_Char *pszData,int nLength);

///
///ニコ生プレイヤーステータス要素終了イベントハンドラ
///
extern void NPlayerStatus_ElementEndHandler(void *userData,const XML_Char *pszName);

///
///ニコ生ハートビート要素開始イベントハンドラ
///
extern void NicoLiveHeartBeat_ElementStartHandler(void *userData,const XML_Char *pszName,const XML_Char *atts[]);

///
///ニコ生ハートビートテキスト開始イベントハンドラ
///
extern void NicoLiveHeartBeat_CharacterDataHandler(void *userData,const XML_Char *pszData,int nLength);

///
///ニコ生ハートビート要素終了イベントハンドラ
///
extern void NicoLiveHeartBeat_ElementEndHandler(void *userData,const XML_Char *pszName);



///
///ニコ生生主情報ステータス要素開始イベントハンドラ
///
extern void NPublishStatus_ElementStartHandler(void *userData,const XML_Char *pszName,const XML_Char *atts[]);

///
///ニコ生生主情報ステータステキスト開始イベントハンドラ
///
extern void NPublishStatus_CharacterDataHandler(void *userData,const XML_Char *pszData,int nLength);

///
///ニコ生生主情報ステータス要素終了イベントハンドラ
///
extern void NPublishStatus_ElementEndHandler(void *userData,const XML_Char *pszName);